{ config, pkgs, ... }:
{
    services.xserver = {
        enable = true;
        windowManager.bspwm.enable = true;
        displayManager = {
            defaultSession = "none+bspwm";
            lightdm.enable = true;
            autoLogin.enable = true;
            autoLogin.user = "waldi";
        };
    };

    services.unclutter-xfixes = {
        enable = true;
    };

    environment.systemPackages = with pkgs; [
        rofi
        ranger
    ];
}
